Skip to main content
GET
/
account
/
bitbucket
/
repository
Get bitbucket repositories of the connected user
curl --request GET \
  --url https://api.qovery.com/account/bitbucket/repository \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "name": "simple-node-app",
      "url": "https://github.com/Qovery/simple-node-app",
      "default_branch": "master",
      "is_private": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Response

Get bitbucket repositories

results
object[]